Bug 32114 - add "local boot" option to image-selection
add "local boot" option to image-selection
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Client management
unspecified
Other Linux
: P3 enhancement
: UCC 2.0
Assigned To: Erik Damrose
Moritz Muehlenhoff
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 10:45 CEST by Ingo Steuwer
Modified: 2014-06-12 09:20 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Steuwer univentionstaff 2013-07-29 10:45:02 CEST
After UCC-rollout, the default behaviour for the client (if PXE boot is still active in the BIOS) is to boot using PXE and download kernel and initrd from the server, which takes significatly longer than a local boot. We should add an option to deliver a "local boot" PXE-configuration for those cases.

I see this as a default setting at several customer, therefore I set a higher priority.
Comment 1 Moritz Muehlenhoff univentionstaff 2013-12-16 12:14:29 CET
Requested by professional service
Comment 2 Erik Damrose univentionstaff 2014-05-09 16:23:32 CEST
We now support an additional boot option 'local boot', which tells the client's PXE environment to exit and resume the normal boot order. This way, no pxe cmdline options are transmitted to the client (see Bug #34794), but the client will still read its ldap parameters.

The default boot option after a rollout is not changed.

r50094 ucc-pxe-boot 6.0.2-1
r50095 ucc-management-integration 2.0.9-1
r50098 changelog
Comment 3 Moritz Muehlenhoff univentionstaff 2014-05-14 12:10:01 CEST
Ok, switching to "Local boot" instructs the PXE firmware not to try a PXE boot and directly load the installed system. Tested both with hardware (Thinkpad X201 and a KVM virtual machine).
Comment 4 Moritz Muehlenhoff univentionstaff 2014-06-12 09:20:09 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".